org.jbpm.process.instance.command

## Class RelativeUpdateTimerCommand

- java.lang.Object
- - org.jbpm.process.instance.command.UpdateTimerCommand
  - - org.jbpm.process.instance.command.RelativeUpdateTimerCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>, org.kie.internal.command.ProcessInstanceIdCommand

      public class RelativeUpdateTimerCommand
      extends UpdateTimerCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.instance.command.UpdateTimerCommand

      `delay, period, processInstanceId, repeatLimit, timerId, timerName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeUpdateTimerCommand(long processInstanceId, long timerId, long delay)`
    `RelativeUpdateTimerCommand(long processInstanceId, long timerId, long period, int repeatLimit)`
    `RelativeUpdateTimerCommand(long processInstanceId, long timerId, long delay, long period, int repeatLimit)`
    `RelativeUpdateTimerCommand(long processInstanceId, String timerName, long delay)`
    `RelativeUpdateTimerCommand(long processInstanceId, String timerName, long period, int repeatLimit)`
    `RelativeUpdateTimerCommand(long processInstanceId, String timerName, long delay, long period, int repeatLimit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected long` | `calculateDelay(long delay, TimerInstance timer)`

    - ### Methods inherited from class org.jbpm.process.instance.command.UpdateTimerCommand

      `execute, getProcessInstanceId, getTimerManager, rescheduleTimer, setProcessInstanceId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeUpdateTimerCommand

          public RelativeUpdateTimerCommand(long processInstanceId,
                                            String timerName,
                                            long delay)

    - #### RelativeUpdateTimerCommand

          public RelativeUpdateTimerCommand(long processInstanceId,
                                            String timerName,
                                            long period,
                                            int repeatLimit)

    - #### RelativeUpdateTimerCommand

          public RelativeUpdateTimerCommand(long processInstanceId,
                                            String timerName,
                                            long delay,
                                            long period,
                                            int repeatLimit)

    - #### RelativeUpdateTimerCommand

          public RelativeUpdateTimerCommand(long processInstanceId,
                                            long timerId,
                                            long period,
                                            int repeatLimit)

    - #### RelativeUpdateTimerCommand

          public RelativeUpdateTimerCommand(long processInstanceId,
                                            long timerId,
                                            long delay,
                                            long period,
                                            int repeatLimit)

    - #### RelativeUpdateTimerCommand

          public RelativeUpdateTimerCommand(long processInstanceId,
                                            long timerId,
                                            long delay)

  - ### Method Detail

    - #### calculateDelay

          protected long calculateDelay(long delay,
                                        TimerInstance timer)

      Overrides:
        `calculateDelay` in class `UpdateTimerCommand`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.